### A free/open-source library for quantitative finance

Public Member Functions
SquareRootProcess Class Reference
Stochastic processes

Square-root process class. More...

`#include <ql/processes/squarerootprocess.hpp>`

Inheritance diagram for SquareRootProcess:
[legend]

List of all members.

## Public Member Functions

| SquareRootProcess (Real b, Real a, Volatility sigma, Real x0=0.0, const boost::shared_ptr< discretization > &d=boost::shared_ptr< discretization >(new EulerDiscretization))
StochasticProcess interface
Real | x0 () const
| returns the initial value of the state variable
Real | drift (Time t, Real x) const
| returns the drift part of the equation, i.e.
Real | diffusion (Time t, Real x) const
| returns the diffusion part of the equation, i.e.

## Detailed Description

Square-root process class.

This class describes a square-root process governed by